Subject: Re: Performance issue: initial git clone causes massive repack

From: Andreas Ericsson <[email-masked]>
Date: Wed, 22 Apr 2009 18:40:07 +0200

Shawn O. Pearce wrote:
> Johannes Schindelin <[email-masked]> wrote:
>> On Wed, 22 Apr 2009, Mike Ralphson wrote:
>>
>>> 2009/4/22 Sam Vilain <[email-masked]>
>>>> Now that the GSoC projects have been announced I can give you the good
>>>> news that one of our two projects...
>>> It's sort of three, really...
>>>
>>> http://socghop.appspot.com/student_project/show/google/gsoc2009/mono/t124022708105
>> OMG!  That's the third time they are wasting Google's money: AFAICT they 
>> haven't learnt from the past two years' failures.  At least I am not aware 
>> of any of them Mono guys trying to collaborate with us.
> 

I offered to assist with reviewing patches or explaining technicalia to them
last year (while I was learning a bit of C# myself), but got no patches or
requests from them at all.

>> Oh well, maybe I should drop them a mail that they may get valuable input 
>> here _iff_ they just ask.
> 
> I've tried that in the past two years.  I've given up.  The JGit
> code is available.  Its license is quite liberal.  They can look
> at it if they want.  My guess is, they won't.
> 

I'm with Shawn here. They refuse to look at unmanaged code (that is, non-C#
code), and since there is none yet, they're in a sort of catch-22 when it
comes to reference implementations. Ah well. I'll join mono-develop mailing
list again and see what I can do to help.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231

Considering the successes of the wars on alcohol, poverty, drugs and
terror, I think we should give some serious thought to declaring war
on peace.